Jump to content



Photo

I own an older version. Are these expansions combatable?


  • Please log in to reply
1 reply to this topic

#1 maniaman

maniaman

    Member

  • Members
  • 1 posts

Posted 27 January 2013 - 09:36 AM

I own the West End edition and I wanted to get some expansions. So would the Fantasy Flight expansions work? and if not then what should I get?

 



#2 Rudd1ger

Rudd1ger

    Member

  • Members
  • 14 posts

Posted 01 February 2013 - 02:16 PM

From what I have read it would seem the older versions would not be compatible with the newer expansions as FFG have overhauled the game. I'd start by getting the newer version of the game :)






© 2013 Fantasy Flight Publishing, Inc. Fantasy Flight Games and the FFG logo are ® of Fantasy Flight Publishing, Inc.  All rights reserved.
Privacy Policy | Terms of Use | Contact | User Support | Rules Questions | Help | RSS